require 'resque/tasks'
require 'resque_scheduler/tasks'

namespace :maintenance do
  task :stop_dr_jobs do
    exports = Myreplicator::Export.find(:all)
    exports.each do |export|
      Resque.remove_schedule(export.schedule_name)
    end
    
    Resque.remove_schedule("myreplicator_loader")
    Resque.remove_schedule("myreplicator_sweeper")
    Resque.remove_schedule("myreplicator_transporter")
  end
  
  task :start_dr_jobs do
    require 'rake'
    Rake::Task.load(Rails.root.to_s + "/lib/tasks/" + "resque.rake")
    resque_reload = Rake::Task['resque:reload_scheduled_jobs']
    resque_reload.reenable
    resque_reload.execute(ENV["RAILS_ENV"])    
  end
  
end